// file: $isip/doc/examples/class/asr/asr_example_00/example.cc
// version: $Id: example.cc 6982 2001-05-11 16:12:50Z jelinek $
//

// isip include files
//
#include <SpeechRecognizer.h>

int main(int argc, const char** argv) {

  // declare a speech recognizer object
  //
  SpeechRecognizer sr;

  // set up the speech recognizer parameters
  //
  sr.setParam(L"$ISIP_DEVEL/util/speech/isip_recognize/param.sof");
  sr.setVerbosity(Integral::ALL);
  sr.setVerify(false);

  // setup the input speech file list
  //      
  Sdb raw_list_sdb;
  boolean is_list = true;
  raw_list_sdb.append(L"$ISIP_DEVEL/util/speech/isip_recognize/raw_list.sof", is_list);

  // run the speech recognizer on the input speech file list
  //
  sr.run(raw_list_sdb);
  
}
